Name:              httpcomponents-project
Summary:           Common POM file for HttpComponents
Version:           6
Release:           %mkrel 3
Group:             Development/Java
License:           ASL 2.0
URL:               http://hc.apache.org/
# svn export http://svn.apache.org/repos/asf/httpcomponents/project/tags/%{version} %{name}-%{version}
# tar cJf %{name}-%{version}.tar.xz %{name}-%{version}
Source:            %{name}-%{version}.tar.xz
BuildArch:         noarch

BuildRequires:     jpackage-utils

# Requires are dependencies from pom.xml. This project should only be required for building with maven.
Requires:          java >= 1:1.6.0
Requires:          jpackage-utils
Requires:          maven
Requires:          maven-compiler-plugin
Requires:          maven-gpg-plugin
Requires:          maven-jar-plugin
Requires:          maven-project-info-reports-plugin
Requires:          maven-site-plugin

%description
Common Maven POM  file for HttpComponents. This project should be
required only for building dependant packages with Maven. Please don't
use it as runtime requirement.

%prep
%setup -q
%pom_remove_plugin :buildnumber-maven-plugin
%pom_remove_plugin :clirr-maven-plugin
%pom_remove_plugin :docbkx-maven-plugin
%pom_remove_plugin :maven-clover2-plugin
%pom_remove_plugin :maven-notice-plugin

%install
install -dm 755 %{buildroot}/%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}/%{_mavenpomdir}/JPP.%{name}.pom
%add_maven_depmap JPP.%{name}.pom

%files
%doc LICENSE.txt NOTICE.txt
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP.%{name}.pom



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 6-3.mga4
+ Revision: 505516
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 6-2.mga3
+ Revision: 353360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 6-1.mga3
+ Revision: 293062
- New version

* Thu Apr 28 2011 dmorgan <dmorgan> 4.1.1-4.mga1
+ Revision: 92454
- Rebuild after bootstrapping
- imported package httpcomponents-project


* Thu Feb 17 2011 Alexander Kurtakov <akurtako@redhat.com> 4.1.1-3
- Require maven (version 3) now.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 4.1.1-1
- Initial version
